import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _SRApplicationUsage extends _NSObject {
    static alloc(): _SRApplicationUsage;
    static new(): _SRApplicationUsage;
    init(): _SRApplicationUsage;
    /** The bundle identifier of the app in use. Only populated for Apple apps. */
    bundleIdentifier(): _NSString | null;
    /** The amount of time the app is used */
    usageTime(): number;
    /**
     * An application identifier that is valid for the duration of the report. This is useful for identifying distinct application uses within the same report duration without revealing the actual application identifier.
     */
    reportApplicationIdentifier(): _NSString;
    /**
     * The text input session types that occurred during this application usage The list of text input sessions describes the order and type of text input that may have occured during an application usage. Multiple sessions of the same text input type will appear as separate array entries. If no text input occurred, this array will be empty.
     */
    textInputSessions(): _NSArray;
    /** Additional categories that describe this app */
    supplementalCategories(): _NSArray;
    /**
     * App start time relative to the first app start time in the report interval relativeStartTime value for the very first app in the report interval is equal to 0, N seconds for the seccond app and so on. This will allow to order app uses and determine the time between app uses.
     */
    relativeStartTime(): number;
}
